Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::Chain Class Reference
[FLAC++/metadata.h: metadata level 2 interface]

`#include <metadata.h>`

List of all members.

## Public Methods

| Chain ()
virtual | ~Chain ()
bool | is_valid () const
Status | status ()
bool | read (const char *filename)
bool | write (bool use_padding=true, bool preserve_file_stats=false)
void | merge_padding ()
void | sort_padding ()

## Protected Methods

virtual void | clear ()

## Protected Attributes

::FLAC__Metadata_Chain * | chain_

## Friends

class | Iterator

## Detailed Description

This class is a wrapper around the FLAC__metadata_chain structures and methods; see FLAC__Metadata_Chain.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h